<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/src/WIB_Constants.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">WIB_Constants.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="vhdlkeyword">library </span><span class="keywordflow">ieee</span>;</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="vhdlkeyword">use </span>ieee.std_logic_1164.<span class="vhdlkeyword">all</span>;<span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- Constants <span class="vhdlkeyword">for</span> this WIB design</span></div>
<div class="line"><a name="l00004"></a><span class="lineno"><a class="code" href="classWIB__Constants.html">    4</a></span>&#160;<span class="keywordflow">package </span><a class="code" href="classWIB__Constants.html">WIB_Constants</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">FEMB_COUNT</span>     <span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">4</span>;<span class="keyword">  -- number <span class="vhdlkeyword">of</span> Front-End MotherBoards   </span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">CDAS_PER_FEMB</span>  <span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">2</span>;<span class="keyword">  -- Number <span class="vhdlkeyword">of</span> COLDATA ASICS per FEMB</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">LINKS_PER_CDA</span>  <span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">2</span>;<span class="keyword">  -- Number <span class="vhdlkeyword">of</span> links per COLDATA ASIC</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">LINKS_PER_FEMB</span> <span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">CDAS_PER_FEMB</span> <span class="vhdlchar">*</span> <span class="vhdlchar">LINKS_PER_CDA</span>;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">LINK_COUNT</span>     <span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">FEMB_COUNT</span><span class="vhdlchar">*</span><span class="vhdlchar">LINKS_PER_FEMB</span>;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">LINK_GROUPS</span>    <span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">4</span>;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">FW_VERSION</span>     <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">x</span><span class="vhdllogic">&quot;17103101&quot;</span>;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">CDA_SWITCH</span>     <span class="vhdlchar">:</span> <span class="comment">std_logic</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span>;<span class="keyword"> -- <span class="vhdlkeyword">Type</span> <span class="vhdlkeyword">of</span> COLDATA.  &#39;0&#39; means</span><span class="keyword"></span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">                                              -- <span class="comment">real</span> CD ASICS, &#39;1&#39; means CD FPGAs</span><span class="keyword"></span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">  --CHange me <span class="vhdlkeyword">for</span> RCE/FELIX</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">CDAS_PER_DAQ_LINK</span> <span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">4</span>;<span class="keyword">  -- </span><span class="vhdllogic">2</span> =&gt; RCE, <span class="vhdllogic">4</span> =&gt; FELIX</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">GEARBOX_EXTRA_WORD_COUNT</span> <span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>;<span class="keyword"> -- </span><span class="vhdllogic">1</span> =&gt; RCE, <span class="vhdllogic">0</span> =&gt; FELIX</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">LINKS_PER_DAQ_LINK</span> <span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">CDAS_PER_DAQ_LINK</span><span class="vhdlchar">*</span><span class="vhdlchar">LINKS_PER_CDA</span>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">DAQ_LINK_VERSION_NUMBER</span> <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdllogic">&quot;00001&quot;</span>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  <span class="vhdlkeyword">constant</span> <span class="vhdlchar">DAQ_LINK_COUNT</span> <span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">LINK_COUNT</span><span class="vhdlchar">/</span><span class="vhdlchar">(</span><span class="vhdlchar">CDAS_PER_DAQ_LINK</span><span class="vhdlchar">*</span><span class="vhdlchar">LINKS_PER_CDA</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">package</span> <span class="vhdlchar">WIB_Constants</span>;</div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:31 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
